Bug 489987 - KMS doesn't work with (old) Mitsubishi LCD, works with (newer) HP monitor
KMS doesn't work with (old) Mitsubishi LCD, works with (newer) HP monitor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 15:16 EDT by Tom London
Modified: 2009-07-12 19:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-12 19:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log booting with "nomodeset" on mitsutshi monitor (73.51 KB, text/plain)
2009-03-12 15:16 EDT, Tom London
no flags Details
dmesg output inserting drm.ko and 915.ko modules (7.34 KB, text/plain)
2009-03-12 15:18 EDT, Tom London
no flags Details
Xorg.0.log booting with KMS; monitor immediately enters powersave, etc. (55.29 KB, text/plain)
2009-05-21 10:13 EDT, Tom London
no flags Details
Output of "diff KMS-Xorg.0.log nomodeset-Xorg.0.log" (124.17 KB, text/plain)
2009-05-21 10:14 EDT, Tom London
no flags Details
/var/log/Xorg.0.log booting 2.6.29.4-162.fc11.x86_64 with "modeset" (56.05 KB, text/plain)
2009-05-26 10:17 EDT, Tom London
no flags Details
Xorg.0.log booting with KMS; external monitor suspends, laptop LCD activates (138.78 KB, text/plain)
2009-06-12 11:44 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2009-03-12 15:16:03 EDT
Created attachment 334995 [details]
Xorg.0.log booting with "nomodeset" on mitsutshi monitor

Description of problem:
I have a thinkpad X200 with "Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)".

I typically run from a dock with an external monitor and with the laptop lid closed.

Booting that way with a Mitsubish monitor, after plymouth, the external monitor goes black and enters power saving mode. 

If I open the laptop lid, I see gdm-greeter screen there. 

In order to get the external monitor "active" after plymouth, I need to boot with "nomodeset nopat".  (The "nopat" quiets messages like:

Mar 12 11:42:18 tlondon kernel: reserve_memtype failed 0xd0000000-0xe0000000, track uncached-minus, req uncached-minus
Mar 12 11:42:18 tlondon kernel: Xorg:2824 freeing invalid memtype d0000000-e0000000
)

If instead, I boot as above, but with an HP monitor, KMS boots just fine, I can login through gdm/gnome/compiz, and I get no "invalid memtype" messages.

I attach Xorg.0.log when booting with "nomodeset". and a dmesg generated when manually inserting 915.ko and drm.ko

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-0.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-03-12 15:18:09 EDT
Created attachment 334998 [details]
dmesg output inserting drm.ko and 915.ko modules

Per disucssion this morning, this is output captured running:

rmmod i915
rmmon drm
dmesg -c
insmod drm.ko debug=1
insmod i915.ko modeset=1

When connected to Mitsubishi monitor.
Comment 2 Tom London 2009-05-08 09:48:31 EDT
Just FYI, this issue continues with latest koji packages:

kernel-2.6.29.2-132.fc11.x86_64
xorg-x11-server-Xorg-1.6.1-11.fc11.x86_64
xorg-x11-drv-intel-2.7.0-5.fc11.x86_64
libdrm-2.4.6-6.fc11.x86_64

Still requires booting with "nomodeset nopat" to get gdm/X/gnome to display on Mitsubishi monitor (system is Thinkpad X200).  Works fine with HP display (and laptop LCD display).

Plymouth animation works fine, btw.

[Believe "nopat" is needed for compiz.]
Comment 3 Tom London 2009-05-21 10:13:09 EDT
Created attachment 344962 [details]
Xorg.0.log booting with KMS; monitor immediately enters powersave, etc.

Just FYI, this issue continues with 

kernel-2.6.29.3-155.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
xorg-x11-drv-intel-2.7.0-5.fc11.x86_64

Booting with KMS enabled, monitor "turns off" (i.e., enters power save mode) immediately after plymouth screen.

ctrl-alt-F2 brings up console, and I can login to capture logs and reboot.

Booting with "nomodeset nopat" works just fine, except that plymouth "shutdown" screens do not display (monitor complains about invalid sync, etc.).

I attach /var/log/Xorg.0.log from booting with KMS, and below I attach diff output of "diff 'Xorg.0.log from KMS boot' 'Xorg.0.log from nomodeset boot'"
Comment 4 Tom London 2009-05-21 10:14:07 EDT
Created attachment 344964 [details]
Output of "diff KMS-Xorg.0.log nomodeset-Xorg.0.log"
Comment 5 Tom London 2009-05-26 10:17:19 EDT
Created attachment 345469 [details]
/var/log/Xorg.0.log  booting 2.6.29.4-162.fc11.x86_64 with "modeset"

Noticed the following errors in /var/log/Xorg.0.log booting 2.6.29.4-162.fc11.x86_64 with "modeset" (i.e., without "nomodeset").

[tbl@tlondon ~]$ grep '(EE' /var/log/Xorg.0.log.old
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(EE) intel(0): max_gtt_map_size: 54992kb.
(EE) intel(0): max_gtt_map_size: 54992kb.
(EE) intel(0): max_gtt_map_size: 54992kb.
(EE) intel(0): max_gtt_map_size: 54992kb.

[BTW, I see same error booting with "nomodeset nopat", with different sizes:
[tbl@tlondon ~]$ grep '(EE' /var/log/Xorg.0.log
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(EE) open /dev/fb0: No such file or directory
(EE) intel(0): max_gtt_map_size: 51008kb.
(EE) intel(0): max_gtt_map_size: 44815kb.]

I attach complete /var/log/Xorg.0.log from boot with KMS.

Again, plymouth displays just fine, but at the expected transition to Xorg, the screen goes black, and immediately goes into "power save mode".

ctrl-alt-F2 properly brings up text screen, so I can login as root and reboot with "nomodeset nopat" which works fine.

Running:
kernel-2.6.29.4-162.fc11.x86_64
xorg-x11-drv-intel-2.7.0-6.fc11.x86_64
Comment 6 Bug Zapper 2009-06-09 08:11:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Tom London 2009-06-12 11:44:50 EDT
Created attachment 347596 [details]
Xorg.0.log booting with KMS; external monitor suspends, laptop LCD activates

I'm changing this back to Rawhide, as it still occurs.

kernel-2.6.30-1.fc12.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64

I did "stumble" across something that I believe is related.....

I've been booting rawhide kernels with Thinkpad X200 lid open for a different (related?) BZ dealing with booting with the laptop lid closed: https://bugzilla.redhat.com/show_bug.cgi?id=505371

On my last boot (with the lid open) I forgot to add the customary "nomodeset nopat", and I noticed that the laptop LCD was active after plymouth (when the external monitor blackened).

I could login to gdm via the laptop LCD during which gnome 'switched" to the external monitor and all is happy and good.

Is something possibly confusing selection of video output?
Comment 8 Tom London 2009-07-01 13:27:36 EDT
KMS appears to work with old external monitor with recent rawhide kernels, but have to boot with laptop lid open.... :-(

Currently running kernel-2.6.31-0.38.rc1.git7.fc12.x86_64
Comment 9 Tom London 2009-07-12 19:19:41 EDT
This is working now for me:

kernel-2.6.31-0.64.rc2.git5.fc12.x86_64
xorg-x11-server-common-1.6.99-9.20090706.fc12.x86_64
xorg-x11-drv-intel-2.8.0-0.1.fc12.x86_64

Actually, been working OK for a week or two.

Closing this as Rawhide....

Note You need to log in before you can comment on or make changes to this bug.